<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
$ankieta->writeGap();

$ankieta->writeGap();
//$ankieta->writeHeader("REKRUT");
//$ankieta->writeGap();

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]

$wiekPr=$ankieta->getValue("WIEKPR");
$wiekLabs=$ankieta->getLabels("WIEKPR");
$wiekLab=explode("-",$wiekLabs[$wiekPr]);
$wiekMin=$wiekLab[0];
$wiekMax=$wiekLab[1];

/* @var Ankieta $ankieta */

$answers=array();
$answers[1]="Brolio";
$answers[2]="Kujawski z pierwszego tłoczenia (butelka plastikowa)";
$answers[3]="Kujawski 3 ziarna (butelka szklana)";
$answers[4]="Kujawski z ziołami (np. z czosnkiem, bazylią, pomidorami)";
$answers[5]="Kujawski tłoczony na zimno (butelka szklana)";
$answers[6]="Mazowiecki Mosso";
$answers[7]="Marlibo";
$answers[8]="Oleo";
$answers[9]="Oliwier";
$answers[10]="Polski";
$answers[11]=" Popularny";
$answers[12]="Bartek uniwersalny";
$answers[13]="Vita D’or";
$answers[14]="Wielkopolski";
$answers[15]="yborny ";
$answers[16]="Beskidzki";
$answers[17]="inna marka oleju (jaka?)";
$ankieta->writeCheckbox('S3am','Jakiej marki olej rzepakowy używa Pani w kuchni?',$answers,true,@clean($data['S3am'],NULL),'NUMERIC','');


$answers=array();
$answers[1]="Brolio";
$answers[2]="Kujawski z pierwszego tłoczenia (butelka plastikowa)";
$answers[3]="Kujawski 3 ziarna (butelka szklana)";
$answers[4]="Kujawski z ziołami (np. z czosnkiem, bazylią, pomidorami)";
$answers[5]="Kujawski tłoczony na zimno (butelka szklana)";
$answers[6]="Mazowiecki Mosso";
$answers[7]="Marlibo";
$answers[8]="Oleo";
$answers[9]="Oliwier";
$answers[10]="Polski";
$answers[11]=" Popularny";
$answers[12]="Bartek uniwersalny";
$answers[13]="Vita D’or";
$answers[14]="Wielkopolski";
$answers[15]="yborny ";
$answers[16]="Beskidzki";
$answers[17]="inna marka oleju (jaka?)";
$ankieta->writeRadio('S2b','Której marki oleju używa Pani częściej?',$answers,true,@clean($data['S2b']));





?>

<script type="text/javascript">

    $(document).ready(function() {
       disableButtons("[name=" + "WIEK" + "]");
    });

    function preSubmit() {
        var ret=checkMinMax('S3');
        if (ret) {enableButtons("[name=" + "WIEK" + "]");}

    }

    function checkMinMax(id) {
        var el = $("input[id='" + id +"']");
        var value=parseFloat(el.val(),10);
        if (value <<?php print $wiekMin;?> || value ><?php print $wiekMax;?>) {
            console.log('bad value ',value);
            el.val('');

            return false;
        }
        return true;
    }

    function recodeAge() {
        console.log('recodeAge');
        var el = $("input[id='" + "S3" +"']");
        var value=parseFloat(el.val(),10);
        if (value<18) {selectRadio('WIEK',0);}
        if (value>=18 && value <=24) {selectRadio('WIEK',1);}
        if (value>=25 && value <=29) {selectRadio('WIEK',2);}
        if (value>=30 && value <=39) {selectRadio('WIEK',3);}
        if (value>=40 && value <=60) {selectRadio('WIEK',4);}
        if (value>=61) {selectRadio('WIEK',6);}
    }


    function doLogicS11(id) {
        console.log('doLogocS11');
        $("input[name='" + 'S6[]' +"']").each(function() {
            var idx=parseFloat($(this).val(),10);
            if ($(this).prop('checked')) {
                console.log('S6_' + idx + ' checked');
                hideCheckboxElement('S11_' + idx);
            } else {
                unHideCheckboxElement('S11_' + idx);
            }
        });

    }

</script>